org.springframework.data.repository.query

## Class ParameterOutOfBoundsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.data.repository.query.ParameterOutOfBoundsException

All Implemented Interfaces:
  Serializable

    public class ParameterOutOfBoundsException
    extends RuntimeException

Exception to be thrown when trying to access a `Parameter` with an invalid index inside a `Parameters` instance.

Author:
  Oliver Gierke
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParameterOutOfBoundsException(String message, Throwable cause)` Creates a new `ParameterOutOfBoundsException` with the given exception as cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParameterOutOfBoundsException

    public ParameterOutOfBoundsException(String message,
                                         Throwable cause)

Creates a new `ParameterOutOfBoundsException` with the given exception as cause.

Parameters:
  `message` -
  `cause` -